MSG_LIC_WRONGCERT

The registration certificate is not valid for this product or is expired.

Please make sure that you have copied the correct certificate.

Indicates that the registration certificate is not valid for the current version of InstallMate, or has expired. This may be due to missing information (e.g., an incomplete copy), or because it is intended for a different product or version.

License certificate error codes

The following are common certificate error codes:

Error code Description
0xEBAD8000 General error. Contact support@installmate.com if you encounter this.
0xEBAD8001 Invalid license type. The certificate is not an InstallMate certificate.
0xEBAD8002 Invalid license subtype. The certificate is not an InstallMate certificate.
0xEBAD8003 Invalid product type. The certificate is not an InstallMate v9 certificate.
0xEBAD8004 Invalid product subtype. The certificate is not an InstallMate v9 certificate.
0xEBAD8005 Invalid registered name. The registered name does not match the certificate.
0xEBAD8006 Certificate does not have expected BEGIN line. Make sure that you copy all lines.
0xEBAD8007 Certificate does not have expected END line. Make sure that you copy all lines.
0xEBAD8008 Certificate does not have expected format. Make sure that you copy the certificate from a plain text email viewer or text editor, not from a RichText or HTML one.
0xEBAD8009 Invalid certificate data. The certificate data appears garbled. Make sure that you copy the certificate from a plain text email viewer or text editor, not from a RichText or HTML one.

Parameters

%08X
Error code; see table above.

Solution

This message usually indicates a problem with the copy & paste operation that you used to copy the registration certificate into the License registration dialog. For a valid certificate, you must copy all lines, starting with -----BEGIN TARMA CERTIFICATE----- and ending with -----END TARMA CERTIFICATE-----. You may include more lines, but not less.

Check the human-readable information from the certificate to make sure that it is intended for the current version of InstallMate. If so, then try to copy and paste the registration certificate again, making sure that you include the entire certificate. If it still fails, then please contact our technical support staff, quoting the error code from the message.

Note: Registration codes and certificates from previous versions (QuickInstall 2.x, ExpertInstall 3.x, Installer 5.x, InstallMate 7.x) are not valid for InstallMate 9.x.